Create Open Finance Device Enrollment Credentials
POST/open-finance/enrollments/:id/device/credentials
Create a new Open Finance device enrollment credentials.
Request
Path Parameters
Enrollment id.
Header Parameters
- If there's no value: The default protection checks that the values in this request are equal: { method, params, path, query, body, userId }. This means that if a request repeats the same values, it will be blocked.
- 'nonce': The nonce and { method, params, path, query, body, userId } value are checked. When the protection schema is this, requests will be OK if this nonce value is different in each request.
- 'x-transaction-uuid': The transactionId and { method, params, path, query, body, userId } value are checked. Requests will be OK if this x-transaction-uuid value is different in each request.
- 'x-transaction-uuid&nonce' or 'nonce&x-transaction-uuid': The nonce, transactionId value and { method, params, path, query, body, userId } are checked, i.e. if requests are repeated the same value in both fields, they will be blocked. But if any field has a different value, the request is OK.
The replay-protection-schema allows the user to choose between 3 options:
Sender Wallet UUID (if empty, your default Wallet UUID will be settled)
The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.
UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.
UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.
Possible values: [pt-BR, en-US]
Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.
- application/json
Body
required
Possible values: [ANDROID, IOS, BROWSER, CROSS_PLATFORM]
Platform of the device.
Responses
- 201
- 400
- 401
- 422
The device enrollment credentials created successfully.
- application/json
- Schema
- Example (from schema)
Schema
Device enrollment id.
Enrollment id.
Possible values: [WAITING_RISK_SIGNAL, WAITING_CREDENTIALS_CREATION, WAITING_CREATION, WAITING_SIGN_IN, SIGNED_IN, CREATED, ERROR, FAILED]
Device enrollment status.
Device enrollment created at.
{
"id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"enrollment_id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"status": "WAITING_CREDENTIALS_CREATION",
"created_at": "2026-04-27T21:25:47.859Z"
}
If any required params are missing or has invalid format or type.
User authentication failed.
If any required params are missing or has invalid format or type.